#ifndef _Handle_PColStd_HSequenceOfPersistent_HeaderFile
#define _Handle_PColStd_HSequenceOfPersistent_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_Standard_Persistent_HeaderFile
#include <Handle_Standard_Persistent.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(Standard_Persistent);
class PColStd_HSequenceOfPersistent;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PColStd_HSequenceOfPersistent);

class Handle(PColStd_HSequenceOfPersistent) : public Handle(Standard_Persistent) {
  public:

    Handle(PColStd_HSequenceOfPersistent)():Handle(Standard_Persistent)() {} 
    Handle(PColStd_HSequenceOfPersistent)(const Handle(PColStd_HSequenceOfPersistent)& aHandle) : Handle(Standard_Persistent)(aHandle) 
     {
     }

    Handle(PColStd_HSequenceOfPersistent)(const PColStd_HSequenceOfPersistent* anItem) : Handle(Standard_Persistent)((Standard_Persistent *)anItem) 
     {
     }

    Handle(PColStd_HSequenceOfPersistent)& operator=(const Handle(PColStd_HSequenceOfPersistent)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PColStd_HSequenceOfPersistent)& operator=(const PColStd_HSequenceOfPersistent* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PColStd_HSequenceOfPersistent* operator->() const 
     {
      return (PColStd_HSequenceOfPersistent *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PColStd_HSequenceOfPersistent) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
